Subject: Re: pkg/32000: PHP 4.1.1 is unstable
To: None <,,>
From: Manuel Bouyer <>
List: pkgsrc-bugs
Date: 11/09/2005 09:08:02
The following reply was made to PR pkg/32000; it has been noted by GNATS.

From: Manuel Bouyer <>
To: Martti Kuparinen <>
Subject: Re: pkg/32000: PHP 4.1.1 is unstable
Date: Wed, 9 Nov 2005 10:07:08 +0100

 On Wed, Nov 09, 2005 at 10:10:14AM +0200, Martti Kuparinen wrote:
 > Unfortunately this does NOT fix the problems!
 > I tried to install php-4.4.1nb2 on a NetBSD/i386 3.0 server with 
 > apache-1.3.34 and it seems to work fine. However, on my other NetBSD/i386 
 > 3.0 server with apache-2.0.55nb2 I still get core dump (now even with a 
 > simple PHP script used at but also with 
 > squirrelmail).
 I'm also using apache-2.0.55nb2 (from the 2005Q3 branch), but on a 1.6.2
 I'll try installing on a current system and test. Can you send me your simple
 php script to test ? Myabe the breackage depends on the way squirrelmail
 is configured, using a simpler script would help narrow down the issue.
 > www:/tmp> diff -u no.txt yes.txt
 > --- no.txt      2005-11-09 10:01:58.000000000 +0200
 > +++ yes.txt     2005-11-09 10:02:48.000000000 +0200
 > @@ -1,4 +1,4 @@
 > -ap-php-4.4.1nb3     Apache (apache2) module for PHP4
 > +ap-php-4.4.0nb2     Apache (apache2) module for PHP4
 >  apache-2.0.55nb2    Apache HTTP (Web) server, version 2
 >  apr-    Apache Portable Runtime
 >  audit-packages-1.39 Tools to show vulnerabilities in installed packages
 > @@ -37,8 +37,8 @@
 >  pcre-6.4nb1         Perl Compatible Regular Expressions library
 >  perl-5.8.7nb4       Practical Extraction and Report Language
 >  pflogsumm-1.1.0     Produce summaries from Postfix syslog data
 > -php-4.4.1nb2        HTML-embedded scripting language
 > -php-gettext-4.4.1   PHP extension for gettext support
 > +php-4.4.0nb2        HTML-embedded scripting language
 > +php-gettext-4.4.0   PHP extension for gettext support
 >  pico-4.10           Text editor (ships with Pine), and Pine's text editing 
 >  lib
 >  pine-4.63           Program for Internet News and E-mail
 >  pkg_install-20051107 Package management and administration tools for pkgsrc
 Here's what installed on my server:
 tibre:/home/tibre1/rp/bouyer>pkg_info |grep php
 php-4.4.1nb2        HTML-embedded scripting language
 php-gettext-4.4.1   PHP extension for gettext support
 php-gd-4.4.1        PHP extension for GD graphics library
 php-iconv-4.4.1     PHP extension for character set conversion
 php-domxml-4.4.1    PHP4 extension for DOM support
 php-mcrypt-4.4.1    PHP extension for the mcrypt crypto algorithms library
 php-mysql-4.4.1     PHP extension for MySQL databases
 php-zlib-4.4.1      PHP extension for zlib compression
 php-imap-4.4.1      PHP extension for IMAP (Internet Mailbox Access Protocol)
 ap-php-4.4.1nb2     Apache (apache2) module for PHP4
 php-pdflib- PHP extension for PDFlib on-the-fly PDF generation
 php-mbstring-4.4.1  PHP extension for multibyte characters support (currently, Japanese only)
 phpmyadmin-2.6.4pl3 Set of PHP-scripts to adminstrate MySQL over the WWW
 Manuel Bouyer <>
      NetBSD: 26 ans d'experience feront toujours la difference